### Hierarchy

- Emitter
  - Pdf

### Implements

- IEmitter
- IPdf

## Index

### Constructors

- constructor

### Properties

- _fit
- annotationId
- annotationsEl
- canvasBounds
- canvasEl
- container
- containerBounds
- containerEl
- data
- fileUrl
- hammer
- listeners
- onListeners
- pdfLink
- pdfObj
- pdfPage
- pdfPages
- ratio
- ratioScale
- rendering
- scale
- touch

### Accessors

- ON_LOADED
- ON_LOADING
- fit

### Methods

- createScrollbars
- destroy
- emit
- handleURL
- moveScrollbarTrack
- off
- on
- onKeydown
- onMouseDown
- onMouseMove
- onMouseUp
- onResizeEvent
- onWheelEvent
- page
- register
- removeEvent
- removeEvents
- render
- renderAnnotations
- renderPdf
- resetScrollbars
- setAnnotationsBounds
- setFit
- setPage
- setupTouch
- unRegister
- updateScrollbars

### Object literals

- scrollbars

## Constructors

### constructor

- new Pdf(container: string): Pdf

- Overrides Emitter.constructor

  - Defined in Pdf.ts:106

  #### Parameters

  - ##### container: string

  #### Returns Pdf

## Properties

### Private _fit

_fit: string = "contain"

- Defined in Pdf.ts:69

### annotationId

annotationId: string = "pdfAnnotations"

- Defined in Pdf.ts:57

### annotationsEl

annotationsEl: any

- Defined in Pdf.ts:60

### Private canvasBounds

canvasBounds: any

- Defined in Pdf.ts:78

### canvasEl

canvasEl: any

- Defined in Pdf.ts:59

### container

container: string

- Defined in Pdf.ts:108

### Private containerBounds

containerBounds: any

- Defined in Pdf.ts:77

### containerEl

containerEl: any

- Defined in Pdf.ts:58

### data

data: any = []

- Defined in Pdf.ts:53

### fileUrl

fileUrl: string

- Defined in Pdf.ts:62

### Private hammer

hammer: HammerManager

- Defined in Pdf.ts:72

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### pdfLink

pdfLink: any

- Defined in Pdf.ts:65

### pdfObj

pdfObj: any

- Defined in Pdf.ts:64

### pdfPage

pdfPage: number = 1

- Defined in Pdf.ts:67

### pdfPages

pdfPages: number = 1

- Defined in Pdf.ts:66

### Private ratio

ratio: number = 1

- Defined in Pdf.ts:74

### Private ratioScale

ratioScale: number = 1

- Defined in Pdf.ts:75

### rendering

rendering: boolean = false

- Defined in Pdf.ts:54

### Private scale

scale: number = 1

- Defined in Pdf.ts:73

### Private touch

touch: boolean = false

- Defined in Pdf.ts:71

## Accessors

### ON_LOADED

- get ON_LOADED(): string

- - Defined in Pdf.ts:51

  #### Returns string

### ON_LOADING

- get ON_LOADING(): string

- - Defined in Pdf.ts:50

  #### Returns string

### fit

- get fit(): string
- set fit(value: string): void

- - Defined in Pdf.ts:160

  #### Returns string

- - Defined in Pdf.ts:164

  #### Parameters

  - ##### value: string

  #### Returns void

## Methods

### Private createScrollbars

- createScrollbars(): void

- - Defined in Pdf.ts:385

  #### Returns void

### destroy

- destroy(): void

- Implementation of IPdf.destroy

  - Defined in Pdf.ts:171

  #### Returns void

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### Private handleURL

- handleURL(url: string): string

- - Defined in Pdf.ts:649

  #### Parameters

  - ##### url: string

  #### Returns string

### Private moveScrollbarTrack

- moveScrollbarTrack(axis: string, offset: number): void

- - Defined in Pdf.ts:358

  #### Parameters

  - ##### axis: string

  - ##### offset: number

  #### Returns void

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### Private onKeydown

- onKeydown(evt: KeyboardEvent): void

- - Defined in Pdf.ts:313

  #### Parameters

  - ##### evt: KeyboardEvent

  #### Returns void

### Private onMouseDown

- onMouseDown(): void

- - Defined in Pdf.ts:307

  #### Returns void

### Private onMouseMove

- onMouseMove(evt: any): void

- - Defined in Pdf.ts:326

  #### Parameters

  - ##### evt: any

  #### Returns void

### Private onMouseUp

- onMouseUp(): void

- - Defined in Pdf.ts:299

  #### Returns void

### Private onResizeEvent

- onResizeEvent(): void

- - Defined in Pdf.ts:280

  #### Returns void

### Private onWheelEvent

- onWheelEvent(evt: any): void

- - Defined in Pdf.ts:287

  #### Parameters

  - ##### evt: any

  #### Returns void

### page

- page(direction: any): void

- Implementation of IPdf.page

  - Defined in Pdf.ts:269

  #### Parameters

  - ##### direction: any

  #### Returns void

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IPdf.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IPdf.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### render

- render(data: any): Promise<void>

- Implementation of IPdf.render

  - Defined in Pdf.ts:188

  #### Parameters

  - ##### data: any

  #### Returns Promise<void>

### Private renderAnnotations

- renderAnnotations(page: any, viewport: any, canvas: any): void

- - Defined in Pdf.ts:578

  #### Parameters

  - ##### page: any

  - ##### viewport: any

  - ##### canvas: any

  #### Returns void

### Private renderPdf

- renderPdf(): Promise<void>

- - Defined in Pdf.ts:539

  #### Returns Promise<void>

### Private resetScrollbars

- resetScrollbars(): void

- - Defined in Pdf.ts:344

  #### Returns void

### Private setAnnotationsBounds

- setAnnotationsBounds(): void

- - Defined in Pdf.ts:475

  #### Returns void

### setFit

- setFit(dimension: string): void

- Implementation of IPdf.setFit

  - Defined in Pdf.ts:234

  #### Parameters

  - ##### dimension: string

  #### Returns void

### Private setPage

- setPage(): void

- - Defined in Pdf.ts:530

  #### Returns void

### Private setupTouch

- setupTouch(): void

- - Defined in Pdf.ts:489

  #### Returns void

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

### Private updateScrollbars

- updateScrollbars(): void

- - Defined in Pdf.ts:439

  #### Returns void

## Object literals

### scrollbars

scrollbars: object

- Defined in Pdf.ts:80

### inset

inset: boolean = false

- Defined in Pdf.ts:82

### scrolling

scrolling: boolean = false

- Defined in Pdf.ts:83

### width

width: number = 8

- Defined in Pdf.ts:81

### x

x: object

- Defined in Pdf.ts:84

### anchor

anchor: string = "left"

- Defined in Pdf.ts:91

### handle

handle: undefined = undefined

- Defined in Pdf.ts:93

### label

label: string = "width"

- Defined in Pdf.ts:88

### offset

offset: number = 0

- Defined in Pdf.ts:86

### offsetPercent

offsetPercent: number = 0

- Defined in Pdf.ts:87

### show

show: boolean = false

- Defined in Pdf.ts:90

### size

size: number = 0

- Defined in Pdf.ts:85

### style

style: string = "margin-left"

- Defined in Pdf.ts:89

### track

track: undefined = undefined

- Defined in Pdf.ts:92

### y

y: object

- Defined in Pdf.ts:95

### anchor

anchor: string = "top"

- Defined in Pdf.ts:102

### handle

handle: undefined = undefined

- Defined in Pdf.ts:104

### label

label: string = "height"

- Defined in Pdf.ts:99

### offset

offset: number = 0

- Defined in Pdf.ts:97

### offsetPercent

offsetPercent: number = 0

- Defined in Pdf.ts:98

### show

show: boolean = false

- Defined in Pdf.ts:101

### size

size: number = 0

- Defined in Pdf.ts:96

### style

style: string = "margin-top"

- Defined in Pdf.ts:100

### track

track: undefined = undefined

- Defined in Pdf.ts:103

Generated using TypeDoc